%define _bindir /bin

Summary:	The GNU versions of the grep pattern matching utilities
Name:		grep
Version:	3.11
Release:	%mkrel 1
License:	GPLv3
Group:		Text tools
URL:		https://www.gnu.org/software/grep/grep.html
Source0:	https://ftp.gnu.org/pub/gnu/grep/%{name}-%{version}.tar.xz
Source1: egrep
Source2: fgrep
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	texinfo
BuildRequires:	bison

%description
The GNU versions of the commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines.  GNU's grep utilities include grep,
egrep and fgrep.

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

%package doc
Summary:	Grep documentation in info format
Group:		Documentation

%description doc
The GNU versions of the commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines.  GNU's grep utilities include grep,
egrep and fgrep.

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

Install this package if you want info documentation on grep.

%prep

%setup -q

# Failing test on x86_64 in the buildsystem so disabling.
perl -ln -i -e 'print unless /^\s*long-pattern-perf\s*\\\s*$/' ./tests/Makefile.{in,am}

%build
autoreconf -fi
chmod +x tests/kwset-abuse
%configure2_5x \
    --without-included-regex \
    --enable-perl-regexp \
    --exec-prefix=/

%make_build


%install
rm -rf %buildroot
%make_install

install -m 0755 %SOURCE1 %buildroot/bin/egrep
install -m 0755 %SOURCE2 %buildroot/bin/fgrep

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/*
%{_mandir}/*/*

%files doc
%{_infodir}/*.info*



%changelog
* Mon May 15 2023 tex - 3.11-1pclos2023
- new version

* Thu Mar 23 2023 tex - 3.10-1pclos2023
- new version

* Mon Mar 06 2023 tex - 3.9-1pclos2023
- new version

* Sun Sep 04 2022 tex - 3.8-2pclos2022
- drop warning for now

* Sun Sep 04 2022 tex - 3.8-1pclos2022
- new version

* Tue Jan 25 2022 tex - 3.7-2pclos2022
- rebuild against updates

* Sun Aug 15 2021 tex - 3.7-1pclos2021
- new version

* Mon Nov 09 2020 tex - 3.6-1pclos2020
- new version

* Mon Sep 28 2020 tex - 3.5-1pclos2020
- Update to version 3.5
